# frozen_string_literal: true

require 'rails_helper'
require 'pundit/rspec'

RSpec.describe RelayPolicy do
  let(:subject) { described_class }
  let(:admin)   { Fabricate(:user, admin: true).account }
  let(:john)    { Fabricate(:account) }

  permissions :update? do
    context 'admin?' do
      it 'permits' do
        expect(subject).to permit(admin, Relay)
      end
    end

    context '!admin?' do
      it 'denies' do
        expect(subject).to_not permit(john, Relay)
      end
    end
  end
end
